Redmine - Defect #7630

Spent time in commits not recognized
2011-02-15 22:12 - rném wapbm

Status: Closed Start date: 2011-02-15
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Time tracking Estimated time: 0.00 hour
Target version: 1.1.2

Resolution: Fixed Affected version:

Description

Hello,

There is an issue with the time tracking thru commit :

| found nowhere on the website the correct syntax, | had to search around ticket with a lot of different syntax but it is finally Marek
Siller (#4155) which gave me the correct one.

ref #123456 @2h30m

Except that this will add a time tracking of only 2h00min.

Then, is there any syntax for quotation or time log message?

Wouldn't it be nice to add some syntaxes like @2h or @2h30 ?

Also, the idea of Tomasz Sawicki was pretty good #4155#note-25. Is there any chance it will be implemented?

Best regards

Related issues:
Related to Redmine - Feature #4155: Automatic spent time logging from commit ... Closed 2009-11-02
Has duplicate Redmine - Patch #7419: changeset.rb does not recognize time ent... Closed 2011-01-24

Associated revisions

Revision 4951 - 2011-02-26 15:46 - Jean-Philippe Lang

Fixes syntax for time logging in commit messages (#7630, #7718).

History

#1 - 2011-02-17 14:24 - Marek Siller
Hello,

there is an issue with the regular expression (file app/models/changeset.rb), that checks for the spent time. I'm currently investigating where the
problem is exactly and how to fix it. I'll post a patch as soon as | find the problem.

Sincerely,
Marek Siller
KTC - Karlsruhe Technology Consutling GmbH

#2 - 2011-02-26 15:48 - Jean-Philippe Lang

- Tracker changed from Feature to Defect

- Subject changed from spent time on commit to Spent time in commits not recognized
- Status changed from New to Resolved

- Target version set to 1.1.2

- Resolution set to Fixed

Syntax is fixed in r4951. @2h or @2h30 are now supported
https://www.redmine.org/issues/4155
https://www.redmine.org/issues/4155#note-25
https://www.redmine.org/projects/redmine/repository/svn/revisions/4951

#3 - 2011-03-06 13:46 - Jean-Philippe Lang

- Status changed from Resolved to Closed
Merged in 1.1-stable.
#4 - 2011-03-28 13:12 - Ho Tak

Hello,

| have just setup the redmine, and in the administration -> settings -> Repositories, | tick the Enable time loggin.
But still, in the commit message, | have trying writing

refs #4 @2h
OR
refs #4 @2h30m

OR

e

4

N
[\V]

refs

OR
refs #4 @2.5
They all couldn't work, anything | still need to configure to make it work?

By the way, | am using gitolite, and the "refs #4" thing is successfully hook to the correct issue/project in redmine, | don't know wether this will help
found out the problem.

Thanks a lot.
Tak.
#5 - 2011-03-28 13:14 - Ho Tak
Ho Tak wrote:
Hello,

| have just setup the redmine, and in the administration -> settings -> Repositories, | tick the Enable time loggin.
But still, in the commit message, | have trying writing

refs #4 @2h
OR
refs #4 @2h30m

OR

i+
N

refs #4 2

OR
refs #4 @2.5
They all couldn't work, anything | still need to configure to make it work?

By the way, | am using gitolite, and the "refs #4" thing is successfully hook to the correct issue/project in redmine, | don't know wether this will
help found out the problem.

Thanks a lot.

Tak.

Sorry for missing the redmine version, | am using Redmine 1.1.2.stable
Thanks.

Tak.
#6 - 2011-04-14 21:24 - Maciej Smolinski
Ho Tak, this advice should solve your problem: http://www.redmine.org/boards/2/topics/22692?r=23334#message-23334

Maciej ;)

#7 - 2011-04-15 03:36 - Ho Tak
Yes! This works!!!

| had discovered that | haven't change "Activity for logged time" to any one of them, stupid me.........

Thanks Maciej! "
